#!/bin/sh

all_users=$(grep /home < /etc/passwd | awk -F: '{print $1}')
printf "%s" "$all_users" | while read -r n; do
  target="/var/gemini/users/${n}"
  mkdir -p "$target"
  chown "$n" "$target"
  ln -s "$target" "/home/${n}/public_gemini"
done
